# arch-needs-restart

A helper script to check which updated libraries and kernel are in use and require a restart

# Setup

Get started like so:

1. Clone repo into arbitrary path `<repo>`
1. Make `arch-needs-restart.sh` executable
    ```
    chmod +x <repo>/arch-needs-restart.sh
    ```
1. Symlink to files, for example
    ```
    sudo ln -s <repo>/arch-needs-restart.sh /usr/local/bin/arch-needs-restart
    sudo ln -s <repo>/arch-needs-restart.hook /usr/share/libalpm/hooks/arch-needs-restart.hook
    ```
    Note that while you may choose arbitrary locations for symlinks `arch-needs-restart.hook` references `/usr/local/bin/arch-needs-restart`. Change that accordingly if you need to.

# Credits

[StackExchange user Christian Zangl](https://unix.stackexchange.com/users/46158/laktak) aka `laktak` in January 2021 post [unix.stackexchange.com/a/630982](https://unix.stackexchange.com/a/630982)
